kew(1)

NAME
kew , kew - Music For The Shell.

SYNOPSIS

kew [OPTIONS] [PARTIAL FILE OR DIRECTORY NAME]

DESCRIPTION
kew plays audio from your music folder when given a partial (or whole) file or directory name. A playlist is created when finding more than one file. It supports gapless playback, 24-bit/192khz audio and MPRIS.

Typical use:

kew artist, album or song name

kew returns results from the location of the first match, it doesn't return every result possible.

OPTIONS

-h, --help
    Displays help.

-v, --version
    Displays version info.

path <path>
    Sets the path to the music library.

--nocover
    Hides the cover.

--noui
    Completely hides the UI.

-q, --quitonstop
    Exits after playing the whole playlist.

-e, --exact
    Specifies you want an exact (but not case sensitive) match.

shuffle
    Shuffles the playlist before starting to play it.

dir Plays the directory not the song.

song
    Plays the song not the directory.

play <path>
    Plays a song or loads a directory one time without changing the default library.

theme <theme name>
    Sets a theme from ~/<configfolder>/kew/themes

list
    Searches for a (.m3u) playlist. These are normally not included in searches.

EXAMPLES

kew Start kew in library view.

kew all
    Start kew with all songs loaded into a playlist.

kew albums
    Start kew with all albums randomly added one after the other in the playlist.

kew moonlight son
    Play moonlight sonata.

kew moon
    Play moonlight sonata.

kew nirv
    Play all music under Nirvana folder shuffled.

kew neverm
    Play Nevermind album in alphabetical order.

kew shuffle neverm
    Play Nevermind album shuffled.

kew list mix
    Play the mix.m3u playlist.

kew theme midnight
    Sets the 'midnight.theme' theme.

kew <words A>:<words B>:<words C>
    Play the first match (whole directory or file) found under A, B, and C, shuffled. Searches are separated by a colon ':' character.

kew .
    Play the "kew favorites.m3u" playlist.

KEY BINDINGS

+ (or =), -
    Adjusts volume.

Left-right arrows/h,l
    Change song.

Space
    Play, Pause.

Shift+s
    Stop.

F2 or Shift+z
    Show playlist view.

F3 or Shift+x
    Show library view.

F4 or Shift+c
    Show track view.

F5 or Shift+v
    Show search view.

F6 or Shift+n
    Show help view.

u   Update the library.

i   Cycle color mode.

t   Cycle themes.

c   Cycle Chroma visualization (requires that Chroma is installed).

r   Cycle repeat (repeat, repeat list or off).

v   Cycle spectrum visualizer mode and turn visualizer off.

b   Toggle ASCII Cover. Also disables Chroma visualizations.

m   Toggle lyrics page.

n   Toggle notifications.

z   Toggle crossfade (experimental).

s   Toggle shuffle.

a   Seek Backward.

d   Seek Forward.

m   Show lyrics page

shift+d
    Crossfade (quick)

shift+f
    Crossfade (medium)

shift+g
    Crossfade (slow)

x   Save currently loaded playlist to a .m3u file in the music folder.

"." Add currently playing song to "kew favorites.m3u" playlist. Play this list with "kew .".

Tab Switch to next view.

Shift+Tab
    Switch to previous view.

Backspace
    Clear the playlist.

Delete
    Remove a single playlist entry.

f,g Move a song up or down the playlist.

number + G or Enter
    Go to specific song number in the playlist.

Esc or q
    Quit kew.

FILES

~/<configfolder>/kew/kewrc
    Config file.

~/<statefolder>/kew/kewstaterc
    Dynamic Preferences file, ~/.config/kew/kewstaterc on Linux.

~/<configfolder>/kew/kewlibrary
    Music library directory tree cache.

/<musicfolder>/kew favorites.m3u
    The kew playlist. Add to it by pressing '.' during playback of any song. This playlist is saved before q exits.

COPYRIGHT
Copyright © 2023 Ravachol. License GPLv2+: GNU GPL version 2 or later <https://gnu.org/licenses/gpl.html>. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO

Website:
    <https://www.kewplayer.com>

Development home pages:

<https://codeberg.org/ravachol/kew>

<https://github.com/ravachol/kew> (Mirror)

Donate here:

<https://ko-fi.com/ravachol>

<https://github.com/sponsors/ravachol>